Bug 239741 - Unnecessary dependency on /bin/csh
Unnecessary dependency on /bin/csh
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: mtools (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Tkac
David Lawrence
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-10 17:16 EDT by Matěj Cepl
Modified: 2013-04-30 19:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-14 10:52:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rewrite of the script to /bin/sh (3.02 KB, text/plain)
2007-05-10 17:16 EDT, Matěj Cepl
no flags Details
POSIX-compliant version of the script (1.89 KB, application/x-shellscript)
2007-05-11 11:45 EDT, Matěj Cepl
no flags Details

  None (edit)
Description Matěj Cepl 2007-05-10 17:16:06 EDT
Description of problem:
Hi,

following discussion on memo-list about dependencies, I have discovered that
/bin/csh (and thus whole tcsh package) is brought to my system just by
/usr/bin/amuFormat.sh which for reasons mysterious to me requires /bin/csh. Just
for kicks I have rewrote the script to /bin/sh script (I hope I haven't left
there some bashism). Totally untested, but I don't think there should be any
problem.

Version-Release number of selected component (if applicable):
mtools-3.9.10-2.fc6

How reproducible:
100%

Steps to Reproduce:
1. rpm -q --whatrequires /bin/csh
2. cd /usr/bin;grep '/bin/csh' * 2>/dev/null
Comment 1 Matěj Cepl 2007-05-10 17:16:06 EDT
Created attachment 154500 [details]
rewrite of the script to /bin/sh
Comment 2 Adam Tkac 2007-05-11 04:56:31 EDT
Script looks fine

-A-
Comment 3 Matěj Cepl 2007-05-11 11:45:27 EDT
Created attachment 154552 [details]
POSIX-compliant version of the script

Version rewritten (mostly by Stepan Kasal) to be (at least) POSIX compliant.

Note You need to log in before you can comment on or make changes to this bug.